## cascading
Class CascadingTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              cascading.CascadingTestCase

All Implemented Interfaces:
  Serializable, junit.framework.Test

    public class CascadingTestCase

extends junit.framework.TestCase
implements Serializable

Class CascadingTestCase is the base class for all Cascading tests.

It included a few helpful utility methods for testing Cascading applications.

See Also:
  Serialized Form

Constructor Summary
`CascadingTestCase()`
`CascadingTestCase(String name)`

Method Summary

`static

`<C extends Collection<Tuple>> C`

`

`asCollection(Flow flow, Tap tap, C collection)`

`static

`<C extends Collection<Tuple>> C`

`

`asCollection(Flow flow, Tap tap, Fields selector, C collection)`

`static

`<C extends Collection<Tuple>> C`

`

`asCollection(TupleEntryIterator iterator, C result)`

`static

`<C extends Collection<Tuple>> C`

`

`asCollection(TupleEntryIterator iterator, Fields selector, C result)`

`static List<Tuple>` `asList(Flow flow, Tap tap)`
`static List<Tuple>` `asList(Flow flow, Tap tap, Fields selector)`
`static Set<Tuple>` `asSet(Flow flow, Tap tap)`
`static Set<Tuple>` `asSet(Flow flow, Tap tap, Fields selector)`
`static List<Tuple>` `getSinkAsList(Flow flow)`
`static List<Tuple>` `getSourceAsList(Flow flow)`
`static TupleListCollector` `invokeAggregator(Aggregator aggregator, Tuple[] argumentsArray, Fields resultFields)`
`static TupleListCollector` `invokeAggregator(Aggregator aggregator, TupleEntry[] argumentsArray, Fields resultFields)`
`static TupleListCollector` `invokeAggregator(Aggregator aggregator, TupleEntry group, TupleEntry[] argumentsArray, Fields resultFields)`
`static TupleListCollector` `invokeBuffer(Buffer buffer, Tuple[] argumentsArray, Fields resultFields)`
`static TupleListCollector` `invokeBuffer(Buffer buffer, TupleEntry[] argumentsArray, Fields resultFields)`
`static TupleListCollector` `invokeBuffer(Buffer buffer, TupleEntry group, TupleEntry[] argumentsArray, Fields resultFields)`
`static boolean` `invokeFilter(Filter filter, Tuple arguments)`
`static boolean[]` `invokeFilter(Filter filter, Tuple[] argumentsArray)`
`static boolean` `invokeFilter(Filter filter, TupleEntry arguments)`
`static boolean[]` `invokeFilter(Filter filter, TupleEntry[] argumentsArray)`
`static TupleListCollector` `invokeFunction(Function function, Tuple[] argumentsArray, Fields resultFields)`
`static TupleListCollector` `invokeFunction(Function function, TupleEntry[] argumentsArray, Fields resultFields)`
`static TupleListCollector` `invokeFunction(Function function, TupleEntry arguments, Fields resultFields)`
`static TupleListCollector` `invokeFunction(Function function, Tuple arguments, Fields resultFields)`
`static void` `validateLength(Flow flow, int length)`
`static void` `validateLength(Flow flow, int length, int size)`
`static void` `validateLength(Flow flow, int length, int size, Pattern regex)`
`static void` `validateLength(Flow flow, int length, int size, Pattern regex, String name)`
`static void` `validateLength(Flow flow, int length, Pattern regex, String name)`
`static void` `validateLength(Flow flow, int length, String name)`
`static void` `validateLength(TupleEntryIterator iterator, int length)`
`static void` `validateLength(TupleEntryIterator iterator, int length, int size)`
`static void` `validateLength(TupleEntryIterator iterator, int length, int size, Pattern regex)`
`static void` `validateLength(TupleEntryIterator iterator, int length, Pattern regex)`

Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CascadingTestCase

    public CascadingTestCase()

### CascadingTestCase

    public CascadingTestCase(String name)

Method Detail

### validateLength

    public static void validateLength(Flow flow,
                                      int length)
                               throws IOException

  Throws:
    `IOException`

### validateLength

    public static void validateLength(Flow flow,
                                      int length,
                                      String name)
                               throws IOException

  Throws:
    `IOException`

### validateLength

    public static void validateLength(Flow flow,
                                      int length,
                                      int size)
                               throws IOException

  Throws:
    `IOException`

### validateLength

    public static void validateLength(Flow flow,
                                      int length,
                                      int size,
                                      Pattern regex)
                               throws IOException

  Throws:
    `IOException`

### validateLength

    public static void validateLength(Flow flow,
                                      int length,
                                      Pattern regex,
                                      String name)
                               throws IOException

  Throws:
    `IOException`

### validateLength

    public static void validateLength(Flow flow,
                                      int length,
                                      int size,
                                      Pattern regex,
                                      String name)
                               throws IOException

  Throws:
    `IOException`

### validateLength

    public static void validateLength(TupleEntryIterator iterator,
                                      int length)

### validateLength

    public static void validateLength(TupleEntryIterator iterator,
                                      int length,
                                      int size)

### validateLength

    public static void validateLength(TupleEntryIterator iterator,
                                      int length,
                                      Pattern regex)

### validateLength

    public static void validateLength(TupleEntryIterator iterator,
                                      int length,
                                      int size,
                                      Pattern regex)

### invokeFunction

    public static TupleListCollector invokeFunction(Function function,
                                                    Tuple arguments,
                                                    Fields resultFields)

### invokeFunction

    public static TupleListCollector invokeFunction(Function function,
                                                    TupleEntry arguments,
                                                    Fields resultFields)

### invokeFunction

    public static TupleListCollector invokeFunction(Function function,
                                                    Tuple[] argumentsArray,
                                                    Fields resultFields)

### invokeFunction

    public static TupleListCollector invokeFunction(Function function,
                                                    TupleEntry[] argumentsArray,
                                                    Fields resultFields)

### invokeFilter

    public static boolean invokeFilter(Filter filter,
                                       Tuple arguments)

### invokeFilter

    public static boolean invokeFilter(Filter filter,
                                       TupleEntry arguments)

### invokeFilter

    public static boolean[] invokeFilter(Filter filter,
                                         Tuple[] argumentsArray)

### invokeFilter

    public static boolean[] invokeFilter(Filter filter,
                                         TupleEntry[] argumentsArray)

### invokeAggregator

    public static TupleListCollector invokeAggregator(Aggregator aggregator,
                                                      Tuple[] argumentsArray,
                                                      Fields resultFields)

### invokeAggregator

    public static TupleListCollector invokeAggregator(Aggregator aggregator,
                                                      TupleEntry[] argumentsArray,
                                                      Fields resultFields)

### invokeAggregator

    public static TupleListCollector invokeAggregator(Aggregator aggregator,
                                                      TupleEntry group,
                                                      TupleEntry[] argumentsArray,
                                                      Fields resultFields)

### invokeBuffer

    public static TupleListCollector invokeBuffer(Buffer buffer,
                                                  Tuple[] argumentsArray,
                                                  Fields resultFields)

### invokeBuffer

    public static TupleListCollector invokeBuffer(Buffer buffer,
                                                  TupleEntry[] argumentsArray,
                                                  Fields resultFields)

### invokeBuffer

    public static TupleListCollector invokeBuffer(Buffer buffer,
                                                  TupleEntry group,
                                                  TupleEntry[] argumentsArray,
                                                  Fields resultFields)

### getSourceAsList

    public static List<Tuple> getSourceAsList(Flow flow)
                                       throws IOException

  Throws:
    `IOException`

### getSinkAsList

    public static List<Tuple> getSinkAsList(Flow flow)
                                     throws IOException

  Throws:
    `IOException`

### asList

    public static List<Tuple> asList(Flow flow,
                                     Tap tap)
                              throws IOException

  Throws:
    `IOException`

### asList

    public static List<Tuple> asList(Flow flow,
                                     Tap tap,
                                     Fields selector)
                              throws IOException

  Throws:
    `IOException`

### asSet

    public static Set<Tuple> asSet(Flow flow,
                                   Tap tap)
                            throws IOException

  Throws:
    `IOException`

### asSet

    public static Set<Tuple> asSet(Flow flow,
                                   Tap tap,
                                   Fields selector)
                            throws IOException

  Throws:
    `IOException`

### asCollection

    public static <C extends Collection<Tuple>> C asCollection(Flow flow,
                                                               Tap tap,
                                                               C collection)
                                                    throws IOException

  Throws:
    `IOException`

### asCollection

    public static <C extends Collection<Tuple>> C asCollection(Flow flow,
                                                               Tap tap,
                                                               Fields selector,
                                                               C collection)
                                                    throws IOException

  Throws:
    `IOException`

### asCollection

    public static <C extends Collection<Tuple>> C asCollection(TupleEntryIterator iterator,
                                                               C result)

### asCollection

    public static <C extends Collection<Tuple>> C asCollection(TupleEntryIterator iterator,
                                                               Fields selector,
                                                               C result)

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.